<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>ColorSchemeAtom (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ColorSchemeAtom (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":9,"i11":9,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":9,"i21":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/ColorSchemeAtom.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hslf/record/BinaryTagDataBlob.html"
               title="class in org.apache.poi.hslf.record"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hslf/record/Comment2000.html"
               title="class in org.apache.poi.hslf.record"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hslf/record/ColorSchemeAtom.html" target="_top">Frames</a>
        </li>
        <li><a href="ColorSchemeAtom.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.hslf.record.Record">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hslf.record</div>
    <h2 title="Class ColorSchemeAtom" class="title">Class ColorSchemeAtom</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/hslf/record/Record.html"
                       title="class in org.apache.poi.hslf.record">org.apache.poi.hslf.record.Record</a></li>
                <li>
                    <ul class="inheritance">
                        <li><a href="../../../../../org/apache/poi/hslf/record/RecordAtom.html"
                               title="class in org.apache.poi.hslf.record">org.apache.poi.hslf.record.RecordAtom</a>
                        </li>
                        <li>
                            <ul class="inheritance">
                                <li>org.apache.poi.hslf.record.ColorSchemeAtom</li>
                            </ul>
                        </li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre>public final class <span class="typeNameLabel">ColorSchemeAtom</span>
extends <a href="../../../../../org/apache/poi/hslf/record/RecordAtom.html" title="class in org.apache.poi.hslf.record">RecordAtom</a></pre>
                <div class="block">A ColorSchemeAtom (type 2032). Holds the 8 RGB values for the different
                    colours of bits of text, that makes up a given colour scheme.
                    Slides (presumably) link to a given colour scheme atom, and that
                    defines the colours to be used
                </div>
                <dl>
                    <dt><span class="simpleTagLabel">Author:</span></dt>
                    <dd>Nick Burch</dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="fields.inherited.from.class.org.apache.poi.hslf.record.Record">
                                <!--   -->
                            </a>
                                <h3>Fields inherited from class&nbsp;org.apache.poi.hslf.record.<a
                                        href="../../../../../org/apache/poi/hslf/record/Record.html"
                                        title="class in org.apache.poi.hslf.record">Record</a></h3>
                                <code><a href="../../../../../org/apache/poi/hslf/record/Record.html#logger">logger</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier</th>
                                <th class="colLast" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/ColorSchemeAtom.html#ColorSchemeAtom--">ColorSchemeAtom</a></span>()</code>
                                    <div class="block">Create a new ColorSchemeAtom, to go with a new Slide</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>protected </code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/ColorSchemeAtom.html#ColorSchemeAtom-byte:A-int-int-">ColorSchemeAtom</a></span>(byte[]&nbsp;source,
                                    int&nbsp;start,
                                    int&nbsp;len)</code>
                                    <div class="block">For the Colour Scheme (ColorSchem) Atom</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/ColorSchemeAtom.html#getAccentAndFollowingHyperlinkColourRGB--">getAccentAndFollowingHyperlinkColourRGB</a></span>()</code>
                                    <div class="block">Fetch the RGB value for Accent And Following Hyperlink Colour
                                    </div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/ColorSchemeAtom.html#getAccentAndHyperlinkColourRGB--">getAccentAndHyperlinkColourRGB</a></span>()</code>
                                    <div class="block">Fetch the RGB value for Accent And Hyperlink Colour</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/ColorSchemeAtom.html#getAccentColourRGB--">getAccentColourRGB</a></span>()</code>
                                    <div class="block">Fetch the RGB value for Accent Colour</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/ColorSchemeAtom.html#getBackgroundColourRGB--">getBackgroundColourRGB</a></span>()</code>
                                    <div class="block">Fetch the RGB value for Background Colour</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/ColorSchemeAtom.html#getColor-int-">getColor</a></span>(int&nbsp;idx)</code>
                                    <div class="block">Returns color by its index</div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/ColorSchemeAtom.html#getFillsColourRGB--">getFillsColourRGB</a></span>()</code>
                                    <div class="block">Fetch the RGB value for Fills Colour</div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>long</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/ColorSchemeAtom.html#getRecordType--">getRecordType</a></span>()</code>
                                    <div class="block">We are of type 3999</div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/ColorSchemeAtom.html#getShadowsColourRGB--">getShadowsColourRGB</a></span>()</code>
                                    <div class="block">Fetch the RGB value for Shadows Colour</div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/ColorSchemeAtom.html#getTextAndLinesColourRGB--">getTextAndLinesColourRGB</a></span>()</code>
                                    <div class="block">Fetch the RGB value for Text And Lines Colour</div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/ColorSchemeAtom.html#getTitleTextColourRGB--">getTitleTextColourRGB</a></span>()</code>
                                    <div class="block">Fetch the RGB value for Title Text Colour</div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/ColorSchemeAtom.html#joinRGB-byte:A-">joinRGB</a></span>(byte[]&nbsp;rgb)</code>
                                    <div class="block">Convert from split R, G, B values to an integer RGB value</div>
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/ColorSchemeAtom.html#joinRGB-byte-byte-byte-">joinRGB</a></span>(byte&nbsp;r,
                                    byte&nbsp;g,
                                    byte&nbsp;b)</code>
                                    <div class="block">Convert from split R, G, B values to an integer RGB value</div>
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/ColorSchemeAtom.html#setAccentAndFollowingHyperlinkColourRGB-int-">setAccentAndFollowingHyperlinkColourRGB</a></span>(int&nbsp;rgb)</code>
                                    <div class="block">Set the RGB value for Accent And Following Hyperlink Colour</div>
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/ColorSchemeAtom.html#setAccentAndHyperlinkColourRGB-int-">setAccentAndHyperlinkColourRGB</a></span>(int&nbsp;rgb)</code>
                                    <div class="block">Set the RGB value for Accent And Hyperlink Colour</div>
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/ColorSchemeAtom.html#setAccentColourRGB-int-">setAccentColourRGB</a></span>(int&nbsp;rgb)</code>
                                    <div class="block">Set the RGB value for Accent Colour</div>
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/ColorSchemeAtom.html#setBackgroundColourRGB-int-">setBackgroundColourRGB</a></span>(int&nbsp;rgb)</code>
                                    <div class="block">Set the RGB value for Background Colour</div>
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/ColorSchemeAtom.html#setFillsColourRGB-int-">setFillsColourRGB</a></span>(int&nbsp;rgb)</code>
                                    <div class="block">Set the RGB value for Fills Colour</div>
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/ColorSchemeAtom.html#setShadowsColourRGB-int-">setShadowsColourRGB</a></span>(int&nbsp;rgb)</code>
                                    <div class="block">Set the RGB value for Shadows Colour</div>
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/ColorSchemeAtom.html#setTextAndLinesColourRGB-int-">setTextAndLinesColourRGB</a></span>(int&nbsp;rgb)</code>
                                    <div class="block">Set the RGB value for Text And Lines Colour</div>
                                </td>
                            </tr>
                            <tr id="i19" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/ColorSchemeAtom.html#setTitleTextColourRGB-int-">setTitleTextColourRGB</a></span>(int&nbsp;rgb)</code>
                                    <div class="block">Set the RGB value for Title Text Colour</div>
                                </td>
                            </tr>
                            <tr id="i20" class="altColor">
                                <td class="colFirst"><code>static byte[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/ColorSchemeAtom.html#splitRGB-int-">splitRGB</a></span>(int&nbsp;rgb)</code>
                                    <div class="block">Convert from an integer RGB value to individual R, G, B 0-255
                                        values
                                    </div>
                                </td>
                            </tr>
                            <tr id="i21" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/ColorSchemeAtom.html#writeOut-java.io.OutputStream-">writeOut</a></span>(java.io.OutputStream&nbsp;out)</code>
                                    <div class="block">Write the contents of the record back, so it can be written
                                        to disk
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.hslf.record.RecordAtom">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.hslf.record.<a
                                        href="../../../../../org/apache/poi/hslf/record/RecordAtom.html"
                                        title="class in org.apache.poi.hslf.record">RecordAtom</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/hslf/record/RecordAtom.html#getChildRecords--">getChildRecords</a>,
                                    <a href="../../../../../org/apache/poi/hslf/record/RecordAtom.html#isAnAtom--">isAnAtom</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.hslf.record.Record">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.hslf.record.<a
                                        href="../../../../../org/apache/poi/hslf/record/Record.html"
                                        title="class in org.apache.poi.hslf.record">Record</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/hslf/record/Record.html#buildRecordAtOffset-byte:A-int-">buildRecordAtOffset</a>,
                                    <a href="../../../../../org/apache/poi/hslf/record/Record.html#createRecordForType-long-byte:A-int-int-">createRecordForType</a>,
                                    <a href="../../../../../org/apache/poi/hslf/record/Record.html#findChildRecords-byte:A-int-int-">findChildRecords</a>,
                                    <a href="../../../../../org/apache/poi/hslf/record/Record.html#writeLittleEndian-int-java.io.OutputStream-">writeLittleEndian</a>,
                                    <a href="../../../../../org/apache/poi/hslf/record/Record.html#writeLittleEndian-short-java.io.OutputStream-">writeLittleEndian</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="ColorSchemeAtom-byte:A-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>ColorSchemeAtom</h4>
                                <pre>protected&nbsp;ColorSchemeAtom(byte[]&nbsp;source,
                          int&nbsp;start,
                          int&nbsp;len)</pre>
                                <div class="block">For the Colour Scheme (ColorSchem) Atom</div>
                            </li>
                        </ul>
                        <a name="ColorSchemeAtom--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>ColorSchemeAtom</h4>
                                <pre>public&nbsp;ColorSchemeAtom()</pre>
                                <div class="block">Create a new ColorSchemeAtom, to go with a new Slide</div>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getBackgroundColourRGB--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBackgroundColourRGB</h4>
                                <pre>public&nbsp;int&nbsp;getBackgroundColourRGB()</pre>
                                <div class="block">Fetch the RGB value for Background Colour</div>
                            </li>
                        </ul>
                        <a name="setBackgroundColourRGB-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setBackgroundColourRGB</h4>
                                <pre>public&nbsp;void&nbsp;setBackgroundColourRGB(int&nbsp;rgb)</pre>
                                <div class="block">Set the RGB value for Background Colour</div>
                            </li>
                        </ul>
                        <a name="getTextAndLinesColourRGB--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTextAndLinesColourRGB</h4>
                                <pre>public&nbsp;int&nbsp;getTextAndLinesColourRGB()</pre>
                                <div class="block">Fetch the RGB value for Text And Lines Colour</div>
                            </li>
                        </ul>
                        <a name="setTextAndLinesColourRGB-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setTextAndLinesColourRGB</h4>
                                <pre>public&nbsp;void&nbsp;setTextAndLinesColourRGB(int&nbsp;rgb)</pre>
                                <div class="block">Set the RGB value for Text And Lines Colour</div>
                            </li>
                        </ul>
                        <a name="getShadowsColourRGB--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getShadowsColourRGB</h4>
                                <pre>public&nbsp;int&nbsp;getShadowsColourRGB()</pre>
                                <div class="block">Fetch the RGB value for Shadows Colour</div>
                            </li>
                        </ul>
                        <a name="setShadowsColourRGB-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setShadowsColourRGB</h4>
                                <pre>public&nbsp;void&nbsp;setShadowsColourRGB(int&nbsp;rgb)</pre>
                                <div class="block">Set the RGB value for Shadows Colour</div>
                            </li>
                        </ul>
                        <a name="getTitleTextColourRGB--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTitleTextColourRGB</h4>
                                <pre>public&nbsp;int&nbsp;getTitleTextColourRGB()</pre>
                                <div class="block">Fetch the RGB value for Title Text Colour</div>
                            </li>
                        </ul>
                        <a name="setTitleTextColourRGB-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setTitleTextColourRGB</h4>
                                <pre>public&nbsp;void&nbsp;setTitleTextColourRGB(int&nbsp;rgb)</pre>
                                <div class="block">Set the RGB value for Title Text Colour</div>
                            </li>
                        </ul>
                        <a name="getFillsColourRGB--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFillsColourRGB</h4>
                                <pre>public&nbsp;int&nbsp;getFillsColourRGB()</pre>
                                <div class="block">Fetch the RGB value for Fills Colour</div>
                            </li>
                        </ul>
                        <a name="setFillsColourRGB-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFillsColourRGB</h4>
                                <pre>public&nbsp;void&nbsp;setFillsColourRGB(int&nbsp;rgb)</pre>
                                <div class="block">Set the RGB value for Fills Colour</div>
                            </li>
                        </ul>
                        <a name="getAccentColourRGB--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getAccentColourRGB</h4>
                                <pre>public&nbsp;int&nbsp;getAccentColourRGB()</pre>
                                <div class="block">Fetch the RGB value for Accent Colour</div>
                            </li>
                        </ul>
                        <a name="setAccentColourRGB-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setAccentColourRGB</h4>
                                <pre>public&nbsp;void&nbsp;setAccentColourRGB(int&nbsp;rgb)</pre>
                                <div class="block">Set the RGB value for Accent Colour</div>
                            </li>
                        </ul>
                        <a name="getAccentAndHyperlinkColourRGB--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getAccentAndHyperlinkColourRGB</h4>
                                <pre>public&nbsp;int&nbsp;getAccentAndHyperlinkColourRGB()</pre>
                                <div class="block">Fetch the RGB value for Accent And Hyperlink Colour</div>
                            </li>
                        </ul>
                        <a name="setAccentAndHyperlinkColourRGB-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setAccentAndHyperlinkColourRGB</h4>
                                <pre>public&nbsp;void&nbsp;setAccentAndHyperlinkColourRGB(int&nbsp;rgb)</pre>
                                <div class="block">Set the RGB value for Accent And Hyperlink Colour</div>
                            </li>
                        </ul>
                        <a name="getAccentAndFollowingHyperlinkColourRGB--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getAccentAndFollowingHyperlinkColourRGB</h4>
                                <pre>public&nbsp;int&nbsp;getAccentAndFollowingHyperlinkColourRGB()</pre>
                                <div class="block">Fetch the RGB value for Accent And Following Hyperlink Colour</div>
                            </li>
                        </ul>
                        <a name="setAccentAndFollowingHyperlinkColourRGB-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setAccentAndFollowingHyperlinkColourRGB</h4>
                                <pre>public&nbsp;void&nbsp;setAccentAndFollowingHyperlinkColourRGB(int&nbsp;rgb)</pre>
                                <div class="block">Set the RGB value for Accent And Following Hyperlink Colour</div>
                            </li>
                        </ul>
                        <a name="getRecordType--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRecordType</h4>
                                <pre>public&nbsp;long&nbsp;getRecordType()</pre>
                                <div class="block">We are of type 3999</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hslf/record/Record.html#getRecordType--">getRecordType</a></code>&nbsp;in
                                        class&nbsp;<code><a href="../../../../../org/apache/poi/hslf/record/Record.html"
                                                            title="class in org.apache.poi.hslf.record">Record</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="splitRGB-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>splitRGB</h4>
                                <pre>public static&nbsp;byte[]&nbsp;splitRGB(int&nbsp;rgb)</pre>
                                <div class="block">Convert from an integer RGB value to individual R, G, B 0-255
                                    values
                                </div>
                            </li>
                        </ul>
                        <a name="joinRGB-byte-byte-byte-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>joinRGB</h4>
                                <pre>public static&nbsp;int&nbsp;joinRGB(byte&nbsp;r,
                          byte&nbsp;g,
                          byte&nbsp;b)</pre>
                                <div class="block">Convert from split R, G, B values to an integer RGB value</div>
                            </li>
                        </ul>
                        <a name="joinRGB-byte:A-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>joinRGB</h4>
                                <pre>public static&nbsp;int&nbsp;joinRGB(byte[]&nbsp;rgb)</pre>
                                <div class="block">Convert from split R, G, B values to an integer RGB value</div>
                            </li>
                        </ul>
                        <a name="writeOut-java.io.OutputStream-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>writeOut</h4>
                                <pre>public&nbsp;void&nbsp;writeOut(java.io.OutputStream&nbsp;out)
              throws java.io.IOException</pre>
                                <div class="block">Write the contents of the record back, so it can be written
                                    to disk
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hslf/record/Record.html#writeOut-java.io.OutputStream-">writeOut</a></code>&nbsp;in
                                        class&nbsp;<code><a href="../../../../../org/apache/poi/hslf/record/Record.html"
                                                            title="class in org.apache.poi.hslf.record">Record</a></code>
                                    </dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getColor-int-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getColor</h4>
                                <pre>public&nbsp;int&nbsp;getColor(int&nbsp;idx)</pre>
                                <div class="block">Returns color by its index</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>idx</code> - 0-based color index</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>color by its index</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/ColorSchemeAtom.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hslf/record/BinaryTagDataBlob.html"
               title="class in org.apache.poi.hslf.record"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hslf/record/Comment2000.html"
               title="class in org.apache.poi.hslf.record"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hslf/record/ColorSchemeAtom.html" target="_top">Frames</a>
        </li>
        <li><a href="ColorSchemeAtom.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.hslf.record.Record">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
